gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.DestDefaultsGType)) System.Flags An enumeration to specify the various courses of action that will be taken on behalf of the user for a destination site of a drag and drop operation.
- Field
  2.12.0.0
  Gtk.DestDefaults If set, specifies that all default actions should be taken.
- Field
  2.12.0.0
  Gtk.DestDefaults If set for a widget when a drop occurs, Gtk+ will check if the drag matches this widget's list of possible targets and actions. If so, Gtk+ will call on behalf of the widget. Whether or not the drop is successful, Gtk+ will call . If the drag was successful, then true will be passed for the del parameter to .
- Field
  2.12.0.0
  Gtk.DestDefaults If set for a widget, Gtk+ will draw a highlight on this widget as long as a drag is over this widget and the widget drag format and action are acceptable.
- Field
  2.12.0.0
  Gtk.DestDefaults If set for a widget, during a drag, Gtk+ will check if the drag matches this widget's list of possible targets and actions.